# mba-cli team

> Read teams (key-scoped)

Read teams (key-scoped)

CLI version: `0.3.2`

## Commands

### mba-cli team get

Get one team by id

Get single team resource

Get a single team resource by its unique identifier. Returns detailed information about the team including its configuration.

Get one team by id

Flags:

- `--id` (string): Team record id

API endpoints:

- GET /teams/{id} — https://mybusinessapp.co.za/developers/api/team#tag/Team/get_single_team

### mba-cli team ls

List teams

Get all team resources

Get all the team resources for the organization. Returns a paginated list of teams that can be filtered by various parameters.

List teams

Flags:

- `--all` (bool, default `false`): Return all rows (paginate=false)
- `--limit` (int, default `20`): Query parameter limit (from the API spec)
- `--page` (int, default `1`): Query parameter page (from the API spec)
- `--paginate` (bool, default `true`): Query parameter paginate (from the API spec)
- `--team-type` (string): Query parameter teamType (from the API spec)

API endpoints:

- GET /teams — https://mybusinessapp.co.za/developers/api/team#tag/Team/get_all_teams

---

[Rendered page](https://mybusinessapp.co.za/developers/cli/reference/team)

© MyBusinessApp (Pty) Ltd. Proprietary documentation — do not republish.
